"""
2015. október: Fej vagy írás
@author Klemand66
"""

from random import *


print("\n1. feladat\n")

erme=["I","F"]
dobas=choice(erme) # véletlen választás a lista elemei közül

print(f'A pénzfeldobás eredménye: {dobas}')



print("\n2. feladat\n")

tipp=input("Tippeljen! (F/I)= ").strip().upper() # a kisbetűs beírást is feldolgozzuk
dobas=choice(erme)
print(f'A tipp {tipp}, a dobás eredménye {dobas} volt.')
if tipp==dobas:
    print("Ön eltalálta.")
else:
    print("Ön nem találta el.")    



print("\n3. feladat\n")

betxt = open("kiserlet.txt")

db,fejdb=0,0

for sor in betxt:
    db+=1
    if sor.strip()=="F": # a fájlban csak nagybetűk vannak
       fejdb+=1 

betxt.close()

print(f'A kísérlet {db} dobásból állt.')



print("\n4. feladat\n")

print(f'A kísérlet során a fej relatív gyakorisága {100*fejdb/db:.2f}% volt.')



print("\n5. feladat\n")

betxt = open("kiserlet.txt")

db2, aktsor=0, "I" # kezdőérték (az FFI-vel kezdődő fájlok feldolgozásához kell)

for sor in betxt:
    sor=sor.strip()
    if sor=="I":
        if aktsor=="IFF":
            db2+=1
        aktsor="I"
    else:
        aktsor+="F"

betxt.close()

print(f'A kísérlet során {db2} alkalommal dobtak pontosan két fejet egymás után.')



print("\n6. feladat\n")

betxt = open("kiserlet.txt")

aktkezdet, akthossz, maxkezdet, maxhossz = None, 0, None, 0

i=0
for sor in betxt:
    i+=1
    sor=sor.strip()
    if sor=="F":
        if aktkezdet==None:
            aktkezdet=i
        akthossz+=1
        if akthossz> maxhossz:
            maxkezdet=aktkezdet
            maxhossz=akthossz
    else:
        aktkezdet=None
        akthossz=0
        
print(f'A leghosszabb tisztafej sorozat {maxhossz} tagból áll, kezdete a(z) {maxkezdet}. dobás.')
        
betxt.close()



print("\n7. feladat\n")

dbf, dbi, sorozat=0, 0, []

for i in range(1000):
    dobasok=""
    for j in range(4):
        dobasok+=choice(erme)
    if dobasok=="FFFF":
        dbf+=1
    if dobasok=="FFFI":
        dbi+=1
    sorozat.append(dobasok)
        
kitxt = open("dobasok.txt","w")

kitxt.write(f'FFFF: {dbf}, FFFI: {dbi}\n')
kitxt.write(f'{" ".join(sorozat)}\n')
 
kitxt.close()
print("A kiíratás és a szövegfájl lezárása sikeresen befejeződött.")

input("\nA befejezéshez nyomd meg az ENTER billentyűt!")
